function [] = runMusic(wavClick44100,  clickDBtimeMs, startClickNr, endClickNr, speed)
    % cntArr44 er indexert med framenummer
    % Plotter løpestrek i fig1
    % speed = 1 eller 0.5

    figure(1);
    
    fsW = 44100;
    startSamp = floor(fsW*clickDBtimeMs(startClickNr) / 1000);
    endSamp = floor(fsW*clickDBtimeMs(endClickNr) / 1000);
    startSamp = max(1, startSamp);
    endSamp = min(size(wavClick44100, 1), endSamp);
    
    sound(wavClick44100(startSamp:endSamp), speed*fsW);  
    
    
    fsC = 525;
    startSamp = floor(fsC*clickDBtimeMs(startClickNr) / 1000);
    endSamp = floor(fsC*clickDBtimeMs(endClickNr) / 1000);
    startSamp = max(1, startSamp);
    endSamp = min(size(wavClick44100, 1), endSamp);    
    
    fsC = speed*fsC;
    framePerSec = fsC/30;
    sampDiffTime = framePerSec/(fsC*speed);
    cl = clock;
    cl = cl(4)*60*60 + cl(5)*60 + cl(6);
    cl0 = cl;
    
    samplXval0 = cl2sa(clickDBtimeMs, startClickNr); % win 525 sampler
    h = line([samplXval0, samplXval0], [0, -4.5], 'color', [1 1 1]);
    
    for i = startSamp : framePerSec : endSamp
        dela = 0; % delay in sec
        cl_old = cl;
        while dela < sampDiffTime
            cl = clock;
            cl = cl(4)*60*60 + cl(5)*60 + cl(6);
            dela = cl - cl_old;
        end
        
        samplXval = samplXval0 + fsC*(cl-cl0); % win 525 sampler

        set(h, 'XData', [samplXval samplXval], 'YData', [0 -4.5]);
        drawnow;

    end
    
end