function [timeMeshMs] = makeTimeMesh(clickDBtimeMs, startSampNo, endSampNo)
    
    firstDBms = clickDBtimeMs(startSampNo);
    lastDBms = clickDBtimeMs(endSampNo);
    noDB = endSampNo - startSampNo + 1;
    
    meanDBms = (lastDBms - firstDBms ) / (noDB-1);
    
    timeMeshMs = clickDBtimeMs;
    
    timeMeshMs(startSampNo) = firstDBms;
    timeMeshMs(endSampNo) = lastDBms;
    
    for i = startSampNo + 1: endSampNo - 1
        timeMeshMs(i) = clickDBtimeMs(startSampNo) + meanDBms*(i-startSampNo);
    end
    
end


%{

clickDBtimeMsTmp = zeros(80, 1);
clickDBtimeMsTmp = (0 : 40000/80 :40000)';
clickDBtimeMsTmp(2:end) = clickDBtimeMsTmp(2:end) + 1400;
clickDBtimeMsTmp(end-1 : end) = clickDBtimeMsTmp(end-1 : end) + 500;
clickDBtimeMsTmp = clickDBtimeMsTmp + 700*sin(7*pi*clickDBtimeMsTmp/40000);
clickDBtimeMsTmp = clickDBtimeMsTmp + 280*rand(size(clickDBtimeMsTmp,1),1);


startSamp = 10;
endSamp = size(clickDBtimeMsTmp,1) -10;
timeMeshEven = makeTimeMesh(clickDBtimeMsTmp, startSamp, endSamp);


timeMeshAdj = adjustTimeMesh(clickDBtimeMsTmp, startSamp, endSamp, 0.1, 0.2);


figure(10);clf;hold on;
line([clickDBtimeMsTmp timeMeshAdj],[1 2], 'color', [0 0 0]);
line([timeMeshAdj timeMeshEven],[2 3], 'color', [0 0 0], 'color', [1 0 0]);

line([clickDBtimeMsTmp(startSamp) timeMeshEven(startSamp)],[1 2], 'lineWidth', 2);
line([clickDBtimeMsTmp(endSamp) timeMeshEven(endSamp)],[1 2], 'lineWidth', 2);

axis([-400 42000 0.9 3.1]);
ylabel('noise, adj, even');





%}